function G = getGPixel(Ix, Iy, x, y, window_size)
% function G = getGPixel(Ix, Iy, x, y, window_size)
% G = [Ixx, Ixy; Ixy, Iyy], only for the central pixel
%
% (c) Guido de Croon, 2013
[H,W] = size(Ix);

if(x <= window_size || x > W - window_size)
    error('x out of range\n');
end
if(y <= window_size || y > H - window_size)
    error('y out of range\n');
end

% determine the components used for the G-matrix
Axx = Ix(y, x) .* Ix(y, x);
Axy = Ix(y, x) .* Iy(y, x);
Ayy = Iy(y, x) .* Iy(y, x);

% determine G:
G = [Axx, Axy; Axy, Ayy];
