function [Ix, Iy] = getGradient(Im, method)
% function [Ix, Iy] = getGradient(Im, method)
% determines the gradient with a mask
%
% (c) Guido de Croon, 2013 
if(nargin < 2)
    method = 'same';
end

% make the masks for determining the gradient:
SOBEL = 1;
SHARR = 2;
MASK = SHARR;
if(MASK == SHARR)
    MaskY = [-3 -10 -3; 0 0 0; 3 10 3];
    MaskX = [3 0 -3; 10, 0, -10; 3 0 -3];
    factor = 1 / 32;
elseif(MASK == SOBEL)
    MaskY = [-1 -2 -1; 0 0 0; 1 2 1];
    MaskX = MaskY';    
    factor = 1 / 8;
end

% Convolve the mask with the image:
Ix = factor * conv2(Im, MaskX, method);
Iy = factor * conv2(Im, MaskY, method);

% Bring the gradient images back to the original size:
% [H,W] = size(Ix);
% Ix = Ix(2:H-1,2:W-1);
% Iy = Iy(2:H-1,2:W-1);
