function val = getPixelValue(Im, u)
% function val = getPixelValue(Im, u)
% u = [x, y]
% (c) Guido de Croon, 2013

H = size(Im,1); W = size(Im,2);

x0 = floor(u(1));
alpha_x = u(1) - x0;
y0 = floor(u(2));
alpha_y = u(2) - y0;

% fprintf('x0 = %d, y0 = %d\n', x0, y0);
% fprintf('Im(y0,x0) = %f\n', Im(y0,x0));
% fprintf('alpha_x, alpha_y = %f, %f\n', alpha_x, alpha_y);
% fprintf('Im(y0,x0) = %f\n', Im(y0,x0));

if(x0 >= 1 && x0 < W && y0 >= 1 && y0 < H)
    val = (1-alpha_x) * (1-alpha_y) * Im(y0,x0) + ...
          alpha_x * (1 - alpha_y) * Im(y0, x0+1) + ...
          (1-alpha_x) * alpha_y * Im(y0+1, x0) + ...
          alpha_x * alpha_y * Im(y0+1, x0+1);
else
    % outside of the image:
    y0 = min(y0, H);
    x0 = min(x0, W);
    y0 = max(y0, 1);
    x0 = max(x0, 1);
    val = Im(y0, x0);
end
    