function files_of_type = makeListOfDirs(file_dir, requirement, exclude_string)
% function files_of_type = makeListOfDirs(file_dir, requirement, exclude_string)
% makes a list of directories  certain type.


if(~exist('exclude_string', 'var') || sum(size(exclude_string)) < 2)
    EXCLUDE = false;
else
    EXCLUDE = true;
end
if(~exist('requirement', 'var') || isempty(requirement))
    REQ = false;
else
    REQ = true;
end

files = dir(file_dir);
n_files = size(files,1);
files_of_type = cell(n_files,1);
fot = 0;
for f = 3:n_files
    i = findstr(files(f).name, ['.']);
    if(isempty(i))
        if(EXCLUDE)
            j = findstr(files(f).name, exclude_string);
        else
            j = [];
        end
        if(isempty(j) && REQ)
            k = findstr(files(f).name, requirement);
            if(isempty(k))
                j = 1;
            end
        end
        if(isempty(j))
            fot = fot + 1;
            files_of_type{fot} = files(f).name;
        end
    end
end
files_of_type = files_of_type(1:fot);

    
